List zone snippet rules
GET/zones/{zone_id}/snippets/snippet_rules
Fetches all snippet rules belonging to the zone.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
List zone snippet rules
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/snippets/snippet_rules \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"message": "something bad happened",
"code": 10000
}
],
"messages": [
{
"message": "something bad happened",
"code": 10000
}
],
"result": {},
"success": true
}Returns Examples
{
"errors": [
{
"message": "something bad happened",
"code": 10000
}
],
"messages": [
{
"message": "something bad happened",
"code": 10000
}
],
"result": {},
"success": true
}